Angular从零到一1.2 环境配置要求-阿里云开发者社区

开发者社区> 华章出版社> 正文

Angular从零到一1.2 环境配置要求

简介:

1.2 环境配置要求


Angular 2需要node.js和npm,我们下面的例子需要node.js 6.x.x和npm 3.x.x,请使用 node -v 和 npm -v 来检查,Mac 下建议采用brew安装node。由于众所周知的原因,http://npmjs.org 的站点访问经常不是很顺畅,这里给出一个由淘宝团队维护的国内镜像 http://npm.taobao.org/ 。安装好node后,请输入npm config set registry https://registry.npm.taobao.org 来改变默认的npm查找包的站点,加快访问和下载速度。Mac 和Linux环境可能需要在我们提到的命令前加sudo。

和官方快速起步文档给出的例子不同,我们下面要使用Angular团队目前正在开发中的一个工具Angular CLI 。这是一个类似于React CLI和Ember CLI的命令行工具,用于快速构建Angular 2的应用。它的优点是进一步屏蔽了很多配置的步骤,自动按官方推荐的模式进行代码组织,自动生成组件/服务等模板以及更方便地发布和测试代码。由于目前这个工具还在beta阶段,安装时请使用 npm install -g angular-cli@latest 命令。

IDE的选择也比较多,免费的有Visual Studio Code 和 Atom,收费的有WebStorm。我们这里推荐采用 Visual Studio Code,可以到 https://code.visualstudio.com/ 下载 Windows/Linux/MacOS 版本。需要注意这个可不是Visual Studio,不是那个庞大的IDE,别下载错了。

安装完以上这些工具,开发环境就部署好了,下面我们将开始Angular 2的探险之旅。

版权声明:如果您发现本社区中有涉嫌抄袭的内容,欢迎发送邮件至:developerteam@list.alibaba-inc.com 进行举报,并提供相关证据,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:

华章出版社

官方博客
官网链接